/*
 * _version.h
 *
 *  Created on: 2. apr. 2021
 *      Author: teig
 */


#ifndef VERSION_H_
    #define VERSION_H_

    #define XTIMECOMPOSER_VERSION_STR "14.4.1"

    #define BEEP_BRRR_VERSION_STR "0.2.00" // x.y.zz
    #define BEEP_BRRR_               0200

    // 20Oct2021 0200 More config into mic_array_conf.h plus now starting to move code from AN00219
    //                New files AN00219_headset_output.h + .xc. NOT TESTED!
    // 25Sep2021 0110 Working with xscope, having some success, but isn't there at all
    // 16Sep2021      Just a build before going to Putten
    // 11Sep2021 0109 MIC_ARRAY_NUM_MICS to 4, but now it's the negative max value (=min value) of MIC_0 that changes,
    //                and the positive that is stable at 670763580 (0x27FB0A3C). Why?
    // 11Sep2021 0108 #error NESTED .h FILE in all files actually caught one!
    //                The most negative value of MIC_0 is constantly at 2147351294 (0x7FFDFAFE)
    // 10Sep2021 0107 int32_dB had an unecessary line
    // 09Sep2021 0106 Constraints tile[0]: C:8/8 T:10/8 C:32/21 M:48656 S:5192 C:28708 D:14756
    //                Constraints tile[1]: C:8/1 T:10/1 C:32/00 M:1540  S:0348 C:0864  D:00328
    // 09Sep2021 0106 Configs 01 and 02 removed. CONFIG_USE_INTERFACE new name and CONFIG_USE_CHAN new
    //                It seems like CONFIG_USE_CHAN does not break timing, I assume because it returns immediately,
    //                whereas interface does not return before the end of the case
    // 08Sep2021 0105 Display_screen once per second commented away
    // 08Sep2021 0104 Much works, but [[combinable]] Handle_Beep_BRRRR_task kills timing when it writes to the display
    //                (Update when on 0106: wrong assumption, it has to do with interface vs. channel)
    //                Constraints tile[0]: C:8/7 T:10/7 C:32/18 M:49244 S:5116 C:29364 D:14764
    //                Constraints tile[1]: C:8/1 T:10/1 C:32/00 M:1540  S:0348 C:0864  D:00328
    // 07Sep2021 0103 MIC_0 sample now sent to display. First version, seems to work?
    //                CONFIG_TEST_01_BUTTONS_AND_DISPLAY will not compile any more
    // 06Sep2021 0102 CONFIG_USE_INTERFACE combined. Works.
    // 06Sep2021 0101 Wrong (see below) As tested on 6Sep2021 0100 does not run, even if it compiles! But CONFIG_TEST_01_BUTTONS_AND_DISPLAY runs!
    // 25Apr2021 0100 Running AN00220code in here. Runs (use scope: 8kHz).
    // 13Apr2021 0013 MIC-ARRAY-1V3.xn now MIC-ARRAY-1V3-MOD.xn with added for xflash which now does not complain:
    //                PageSize SectorSize NumPages QE_REGISTER QE_BIT
    // 13Apr2021 0012 This compiles and runs, same as below. See DO_I2C_INIT and PAR_PLACE
    // 13Apr2021 0011 This compiles and runs, but doing the I2C before the while(1) does not!
    // 13Apr2021 0010 This compiles and runs, writes to display
    // 09Apr2021 0009 DO_LINE_2303_CRASH 1 now crashes (compiled with it), but DO_LINE_2303_CRASH 0 compiles
    //                13Apr2021 reported to XMOS, Ticket "Compiler crash in jenkins file types.cpp, line 2303 (#159996#)"
    // 09Apr2021 0008 Still crash in "line 2303"
    // 09Apr2021 0007 xcc1: internal compiler error
    //                Failed in /jenkins/RELEASE_14_4/sb/tools_xcc1_c_llvm/Common/Types/types.cpp, line 2303
    //                    isTypeInterfaceOrEnd(t)
    // 08Apr2021 0006 This works, even if there is no debounce in Buttons_demux_task. I can press as fast as
    //                I want. Should perhaps still make the protocol different, so that I don't have to use
    //                [[guarded]] void button_changed but not sure how BUTTON_ACTION_PRESSED_FOR_LONG would be
    //                influenced by it. Now this also works
    // 07Apr2021 0005 When I, after having made the zip for you, removed the dependency on lib_dsp (not used)
    //                and cleaned the project and rebuilt, NONE of the four configs will run correctly
    // 07Apr2021 0004 In main.xc: PAR_PLACE values 0 to 3 either runs fine, compiler crashes in "line 183",
    //                crashes at runtime and no progress at runtime. Sent to XMOS, ticket #159780#
    // 07Apr2021 0003 debugging buttons code, not wanting to use the XMOS lib_mic_array_board_support
    // 06Apr2021 0002 Handle_Beep_BRRRR_task etc skeleton up
    // 06Apr2021 0001 06Apr2021 First commit
#else
    #error NESTED .h FILE
#endif /* VERSION_H_ */
